import { BpSdkStore } from '@boldpenguin/sdk-redux';
import { IConfigOptions } from '@boldpenguin/sdk-types';
import { IAccordionComponent, IAnswer, IMappedQuestionGroupAnswers } from '@boldpenguin/sdk-types';
import { Unsubscribe } from 'redux';
export declare class BpSdkAccordion implements IAccordionComponent {
  storeUnsubscribe?: Unsubscribe;
  questionGroup: IMappedQuestionGroupAnswers;
  startPanelExpanded: boolean;
  /**
   * Web component config options injected from redux
   */
  configOptions: IConfigOptions;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  handleSubscriptions(): void;
  mapStateToProps: (state: BpSdkStore) => {
    configOptions: IConfigOptions;
  };
  render(): any[];
  renderExternal(): any;
  renderAnswer(answer: IAnswer): any[];
  renderInternal(): any;
}
